# Activity Types Activity Types ## Gets all of the activity types in the system. - [GET /activityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/listactivitytypes.md): This method will scan all activity types and and return them to the caller. ## Creates a new activity type record that does not already exist. - [POST /activityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/createactivitytype.md): This method will auto-generate an ID and create a new activity type. If an ID is specified for the activity type, an error will be thrown. ## Execute Batch Operations - [POST /activityTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a activity type from the system by its ID. - [DELETE /activityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/deleteactivitytype.md): This method will delete a activity type with the specified ID. ## Returns a activity type from the system by its ID. - [GET /activityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/getactivitytype.md): This method will look up a activity type by the specified ID and return it back. ## Partially updates a activity type with the specified ID. - [PATCH /activityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/patchactivitytype.md): This method will patch an existing activity type with the specified ID, using the HTTP PATCH specification. ## Updates a activity type with the specified ID. - [PUT /activityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/activity-types/updateactivitytype.md): This method will update an existing activity type with the specified ID.